//
//  PromotionEngine.h
//  HotPatchFramework
//
//  Created by pekon on 2018/6/7.
//  Copyright © 2018年 pekon. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface PromotionEngine : NSObject

/*
 促销规则初始化
 */
-(int)promotionInitWithData:(NSDictionary *)data;

/*
 促销匹配规则（使用于终端的第一个页面）
 */
-(NSString *)promotionMatchRuleWithData:(NSDictionary *)data;

/*
 促销计算接口
 */
-(NSString *)promotionComputeMatchRuleWithData:(NSDictionary*)data;

/*
 礼品校验接口
 */
-(NSString *)promotionCheckGiftWithData:(NSDictionary *)data;

/*
 赠礼展现函数
 */
-(NSString *)promotionShowGiftProductWithData:(NSDictionary*)data;

/*
 促销卸载接口
 */
-(void)promotionUInit;
@end
